Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.gen
Class InterpreterGenerator.ArrayMap

    java.lang.Object
      avrora.core.isdl.gen.PrettyPrinter.MapRep
          avrora.core.isdl.gen.InterpreterGenerator.ArrayMap

Enclosing class:
  InterpreterGenerator

protected class InterpreterGenerator.ArrayMap
extends PrettyPrinter.MapRep

Field Summary
`Token` | `token`
`java.lang.String` | `varname`

Method Summary
`void` | `generateBitRangeWrite(Expr ind, int l, int h, Expr val)`
`void` | `generateBitRead(Expr ind, Expr b)`
`void` | `generateBitWrite(Expr ind, Expr b, Expr val)`
`void` | `generateRead(Expr ind)`
`void` | `generateWrite(Expr ind, Expr val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### varname

    public final java.lang.String varname

### token

    public final Token token

Method Detail

### generateWrite

    public void generateWrite(Expr ind,
                              Expr val)

  Specified by:
    `generateWrite` in class `PrettyPrinter.MapRep`

### generateBitWrite

    public void generateBitWrite(Expr ind,
                                 Expr b,
                                 Expr val)

  Specified by:
    `generateBitWrite` in class `PrettyPrinter.MapRep`

### generateRead

    public void generateRead(Expr ind)

  Specified by:
    `generateRead` in class `PrettyPrinter.MapRep`

### generateBitRead

    public void generateBitRead(Expr ind,
                                Expr b)

  Specified by:
    `generateBitRead` in class `PrettyPrinter.MapRep`

### generateBitRangeWrite

    public void generateBitRangeWrite(Expr ind,
                                      int l,
                                      int h,
                                      Expr val)

  Specified by:
    `generateBitRangeWrite` in class `PrettyPrinter.MapRep`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD